## org.eclipse.jetty.io
Interface AsyncEndPoint

All Superinterfaces:
  EndPoint

All Known Implementing Classes:
  SelectChannelEndPoint, SslSelectChannelEndPoint

    public interface AsyncEndPoint

extends EndPoint

Method Summary
`void` `cancelIdle()` Cancel a call to the idle timeout
`void` `dispatch()` Dispatch the endpoint to a thread to attend to it.
`boolean` `isReadyForDispatch()`
`void` `scheduleIdle()` Schedule a call to the idle timeout
`void` `scheduleWrite()` Schedule a write dispatch.
`void` `setWritable(boolean writable)` Set the writable status.

Methods inherited from interface org.eclipse.jetty.io.EndPoint
`blockReadable, blockWritable, close, fill, flush, flush, flush, getLocalAddr, getLocalHost, getLocalPort, getMaxIdleTime, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isBlocking, isBufferingInput, isBufferingOutput, isBufferred, isOpen, setMaxIdleTime, shutdownOutput`

Method Detail

### dispatch

    void dispatch()

  Dispatch the endpoint to a thread to attend to it.

### isReadyForDispatch

    boolean isReadyForDispatch()

  Returns:
    true if this endpoint can accept a dispatch. False if the endpoint cannot accept a dispatched (eg is suspended or already dispatched)

### setWritable

    void setWritable(boolean writable)

  Set the writable status. The writable status is considered next time the async scheduling is calculated.

  Parameters:
    `writable` - true if the endpoint is known to be writable or false if it is known to not be writable.

### scheduleWrite

    void scheduleWrite()

  Schedule a write dispatch. Set the endpoint to not be writable and schedule a dispatch when it becomes writable.

### scheduleIdle

    void scheduleIdle()

  Schedule a call to the idle timeout

### cancelIdle

    void cancelIdle()

  Cancel a call to the idle timeout

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.